<template>
  <footer
    id="siteFooter"
    class="footer">
    <div class="kit footer">
      <nav class="navigation">
        <flink
          href="/about-us/contacts"
          domain="main"
          class="item link"
          @click.native="$ga('About','Click27')">
          Контакты
        </flink>
        <flink
          href="/about-us/about-us"
          domain="main"
          class="item link"
          @click.native="$ga('About','Click28')">
          О проекте
        </flink>
        <flink
          href="/categories"
          domain="main"
          class="item link">
          Каталог товаров
        </flink>
        <flink
          href="/check-auto"
          domain="main"
          class="item link desktopshow"
          @click.native="$ga('ProverkaA','Click29')">
          Проверка авто
        </flink>
        <flink
          v-if="isIndex"
          href="/top-samyh-populyarnyh-avtozapchastej"
          domain="main"
          class="item link only-index desktopshow"
          @click.native="$ga('Top-100','Click30')">
          Топ 100 популярных запчастей
        </flink>
        <flink
          v-if="isIndex"
          href="/top-zapchastej-v-nalichii"
          domain="main"
          class="item link only-index desktopshow"
          @click.native="$ga('Top-100n','Click31')">
          Топ 100 запчастей в наличии
        </flink>
        <footer-social-list/>
        <span class="item text">© GISAUTO.RU</span>
      </nav>
    </div>
  </footer>
</template>

<script>
import SocialList from '~/components/layout/socialList';
import { createNamespacedHelpers } from 'vuex';
import { SHOW_CALLBACK_MODAL } from '~/assets/js/store/actionManager/mutation-types';

const STORE_ACTION_MANAGER = createNamespacedHelpers('actionManager');
export default {
  name: 'Footer',
  components: {
    'footer-social-list': SocialList,
  },
  props: {
    isIndex: {
      type: Boolean,
      default: false,
    },
  },
  methods: {
    ...STORE_ACTION_MANAGER.mapMutations({
      showCallbackModal: SHOW_CALLBACK_MODAL,
    }),
  },
};
</script>

<style scoped lang="scss">
  .kit.footer {
    position: relative;
    z-index: 1;
    width: 100%;
    min-height: 3.5rem;
    margin: 0 auto;
    flex: 0 0 auto;
    order: 100;
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-end;
    align-items: center;
    background-color: #4a4a4a;
    .navigation {
      display: flex;
      flex-flow: row wrap;
      justify-content: center;
      align-items: center;
      margin: .75rem -.5rem;
      > .item {
        display: block;
        font-size: 0.8125rem;
        margin: .25rem .8rem;
        color: #dbe4e9;
        &.fluid {
          min-width: 100%;
          text-align: center;
        }
        &.text, > .text {
          text-decoration: none;
        }
        &.link, > .link {
          text-decoration: underline;
          &:hover,
          &:focus,
          &:active {
            color: #ffffff;
            text-decoration: underline;
          }
        }
      }
    }
    &.small {
      width: 26rem;
    }
    &.left {
      position: absolute;
      z-index: 10;
      left: 0;
      bottom: 0;
    }
    &.sto {
      //background-color: #741230;
    }
    @media screen and (max-width: 1024px) {
      z-index: 0;
      background-color: #f7f7f7;
      border-top: 1px solid #C5D1D9;
      justify-content: center;
      .navigation {
        margin: 0.75rem 0;
        > .item {
          font-size: 0.8125rem;
          margin: 0;
          padding: 0 2.5vw;
          color: #272727;
          &.link {
            text-decoration: none;
            &:hover,
            &:focus,
            &:active {
              color: #272727;
              text-decoration: none;
            }
          }
        }
      }
    }
  }


</style>
